List manual journal entries
GET
/api/accounting/journal-entries
const url = 'https://api.getvespy.com/api/accounting/journal-entries';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/accounting/journal-entries \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
journalEntries
required
Array<object>
object
createdAt
required
string format: date-time
createdByUserId
required
string format: uuid
creditTotalCents
required
integer
debitTotalCents
required
integer
id
required
string format: uuid
lines
required
Array<object>
object
accountCode
required
string
accountId
required
string format: uuid
accountName
required
string
creditCents
required
integer
debitCents
required
integer
description
required
string
id
required
string format: uuid
ownerId
required
string format: uuid
propertyId
required
string format: uuid
unitId
required
string format: uuid
memo
required
string
occurredAt
required
string format: date-time
organizationId
required
string format: uuid
reversedById
required
string format: uuid
status
required
string
Example
{ "journalEntries": [ { "status": "draft" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}